﻿using Games.Web.Models;
using Microsoft.AspNet.Identity.EntityFramework;

namespace Games.Web.DataProviders
{
    public class IdentitiesDbContext : IdentityDbContext<ApplicationUser>
    {
        public IdentitiesDbContext()
            : base("DefaultConnection", throwIfV1Schema: false)
        {
        }

        public static IdentitiesDbContext Create()
        {
            return new IdentitiesDbContext();
        }
    }
}