﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Games.Entities;

namespace Games.Web.Models.Games
{
    public class DetailsModel
    {
        [HiddenInput(DisplayValue = false)]
        public Guid Id { get; set; }

        [DisplayName("Name of the game")]
        public string Name { get; set; }

        [DisplayName("Game genre")]
        public string Genre { get; set; }

        [DisplayName("Game was first published")]
        [DisplayFormat(DataFormatString = "{0:dd. MM. yyyy}")]
        public DateTime? PublishedOn { get; set; }
    }
}