﻿using System;
using System.ComponentModel;
using System.Web.Mvc;
using Games.Entities;

namespace Games.Web.Models.Games
{
    public class IndexModel
    {
        [HiddenInput(DisplayValue = false)]
        public Guid Id { get; set; }

        [DisplayName("Game name")]
        public string Name { get; set; }

        [DisplayName("Type")]
        public GameGenreEnum Genre { get; set; }
    }
}